//+------------------------------------------------------------------+
//|                                                   Gann Hi Lo.mq4 |
//|                                              lucidlamp@gmail.com |
//+------------------------------------------------------------------+

#property link "lucidlamp@gmail.com"

#property indicator_chart_window

#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

double ExtMapBuffer1[];
double ExtMapBuffer2[];
		
int i;
int HLd;

int init()
	{
		IndicatorBuffers(2);
		IndicatorShortName("Gann Hi Lo");
		
		SetIndexBuffer(0,ExtMapBuffer1);
		SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,1,Lime);
		SetIndexLabel(0,"Value");
		SetIndexDrawBegin(0,3);
		SetIndexShift(0,0);
		
		SetIndexBuffer(1,ExtMapBuffer2);
		SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,1,Red);
		SetIndexLabel(1,"Value");
		SetIndexDrawBegin(1,3);
		SetIndexShift(1,0);
	}

int deinit()
	{
	}

int start()
	{
		int iIndicatorCounted=IndicatorCounted();
		if(iIndicatorCounted<0)
			{
				return(-1);
			}
		int iLimit=Bars-iIndicatorCounted;
		for(i=iLimit;i>=0;i--)
			{
				if(Close[i]>iMA(NULL,0,3,0,MODE_SMA,PRICE_HIGH,i+1))
					{
						HLd=1;
					}
				else if(Close[i]<iMA(NULL,0,3,0,MODE_SMA,PRICE_LOW,i+1))
					{
						HLd=(-1);
					}
				else
					{
						HLd=0;		
					}
				if(HLd==(-1))
					{
						ExtMapBuffer1[i]=iMA(NULL,0,3,0,MODE_SMA,PRICE_HIGH,i); // +(1*Point);
						ExtMapBuffer2[i]=EMPTY_VALUE;
					}
				else
					{
						ExtMapBuffer1[i]=EMPTY_VALUE;
						ExtMapBuffer2[i]=iMA(NULL,0,3,0,MODE_SMA,PRICE_LOW,i); // -(1*Point);
					}					
			}
	}
	

